Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590501 - [PATCH] nouveau crashes when X server is started with no usable outputs
Summary: [PATCH] nouveau crashes when X server is started with no usable outputs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-nouveau
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ben Skeggs
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-09 23:31 UTC by Lubomir Rintel
Modified: 2010-11-15 13:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-15 13:46:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed fix, apply with git am (deleted)
2010-05-09 23:34 UTC, Lubomir Rintel
no flags Details

Description Lubomir Rintel 2010-05-09 23:31:50 UTC
Description of problem:

Backtrace:
0: X (xorg_backtrace+0x3c) [0x80a1f0c]
1: X (0x8047000+0x58f46) [0x809ff46]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0x79240c]
3: X (xf86InitViewport+0x66) [0x80b4be6]
4: X (InitOutput+0xca0) [0x80b90b0]
5: X (0x8047000+0x1b765) [0x8062765]
6: /lib/libc.so.6 (__libc_start_main+0xe6) [0x578bb6]
7: X (0x8047000+0x1b511) [0x8062511]
Segmentation fault at address 0x18

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting

Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau-0.0.15-17.20091105gite1c2efd.el6.i686

Comment 1 Lubomir Rintel 2010-05-09 23:34:05 UTC
Created attachment 412687 [details]
Proposed fix, apply with git am

This patch makes the X server deal with missing outputs more gracefully instead of segfaulting (and making ABRT sad).

(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

Comment 2 Ben Skeggs 2010-05-10 00:09:55 UTC
Thanks for that, I'll test the patch here today and post it upstream.  I'll batch this up in an update soon, there's another patch I'm waiting on testing from too.

Comment 4 RHEL Product and Program Management 2010-05-10 01:20:02 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 7 Ben Skeggs 2010-05-18 04:36:22 UTC
MODIFIED xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.el6 is available in brew.

Comment 10 releng-rhel@redhat.com 2010-11-15 13:46:30 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.